using System;

namespace Jauchdiplom
{
	/// <summary>
	/// In its initial version this database issues questions more or less randomly.
	/// </summary>
	public class QuestionGenerator : QuestionDB
	{
		public QuestionGenerator ()
		{
			rand = new Random(42);
		}

		private Random rand;

		public override Question NextQuestion () 
		{
			const int max = 1000;
			int v1 = rand.Next(0,max);
			int v2 = rand.Next(0,max);
			string task = "Addiere bitte " + v1.ToString() + " + " + v2.ToString();
			string [] answers = new string[4];
			for (int i=0; i<4; i++) 
			{
				answers[i] = rand.Next(0,2*max).ToString();
			}
			int correct_answer = rand.Next(1,4);
			answers[correct_answer-1] = (v1+v2).ToString();
			MultipleChoice mc = new MultipleChoice(task,answers,correct_answer);
			return mc;
		}
	}
}
